aspose.info
HI

एमबीओएक्स - ईमेल मेलबॉक्स फ़ाइल

अपडेट किया गया

एमबीओएक्स फ़ाइल क्या है?

MBox फ़ाइल स्वरूप एक सामान्य शब्द है जो इलेक्ट्रॉनिक मेल संदेशों के संग्रह के लिए एक कंटेनर का प्रतिनिधित्व करता है। संदेशों को उनके अनुलग्नकों के साथ कंटेनर के अंदर संग्रहीत किया जाता है। संपूर्ण फ़ोल्डर के संदेशों को एक डेटाबेस फ़ाइल में सहेजा जाता है और नए संदेशों को फ़ाइल के अंत में जोड़ा जाता है। ऐप्पल मेल और मोज़िला थंडरबर्ड जैसे एमबॉक्स फ़ाइल प्रारूप के लिए कई एप्लिकेशन और एपीआई समर्थन प्रदान करते हैं।

एमबीओएक्स फ़ाइल प्रारूप

MBox फ़ाइल स्वरूप 2005 तक काफी लंबे समय तक गैर-मानकीकृत रहा जब एप्लिकेशन/mbox को RFC 4155. संदेशों के रूप में मानकीकृत किया गया, RFC 2822 प्रारूप में , एक के बाद एक MBox फ़ाइल स्वरूप के अंदर संयोजित होते हैं। प्रत्येक संदेश एक विभाजक रेखा से शुरू होता है जो संदेश भेजने वाले की पहचान करता है, और उस तिथि और समय की भी पहचान करता है जिस पर अंतिम प्राप्तकर्ता द्वारा संदेश प्राप्त किया गया था (या तो स्थानांतरण पथ में अंतिम-हॉप प्रणाली, या सिस्टम जो प्राप्तकर्ता के रूप में कार्य करता है मेलस्टोर)। प्रत्येक संदेश को आमतौर पर एक खाली लाइन द्वारा समाप्त किया जाता है। डेटाबेस का अंत आमतौर पर या तो किसी अतिरिक्त डेटा की अनुपस्थिति से या एक स्पष्ट एंड-ऑफ-फाइल मार्कर की उपस्थिति से पहचाना जाता है।

MBox फ़ाइल से एक संदेश पढ़ना

एक पाठक From_ लाइनों की तलाश में एक एमबॉक्स फ़ाइल के माध्यम से स्कैन करता है। कोई भी From_ लाइन एक संदेश की शुरुआत को चिह्नित करती है। पाठक को इस तथ्य का लाभ उठाने का प्रयास नहीं करना चाहिए कि प्रत्येक From_ लाइन (फाइल की शुरुआत से पहले) खाली लाइन। एक बार पाठक को एक संदेश मिल जाता है, तो वह From_ लाइन से एक (संभवतः दूषित) लिफाफा प्रेषक और वितरण तिथि निकालता है। यह तब अगली From_ लाइन या फ़ाइल के अंत तक पढ़ता है, जो भी पहले आता है। यह अंतिम रिक्त रेखा को हटा देता है और > From_ लाइनों और » From_ लाइनों आदि के उद्धरण को हटा देता है। परिणाम एक RFC 822 संदेश है।

एन्कोडिंग विचार

जब प्राप्त ईमेल में अनुलग्नक के रूप में एक Mbox फ़ाइल होती है और किसी अन्य Mbox फ़ाइल में सहेजी जाती है, तो MBox फ़ाइल की सामग्री अपरिवर्तनीय रूप से आपस में मिल जाती है। इससे बचने के लिए, मैसेजिंग सिस्टम को एक एमबॉक्स डेटाबेस को गैर-पारदर्शी स्थानांतरण एन्कोडिंग (जैसे BASE64 या कोट-प्रिंट करने योग्य) के साथ एन्कोड करना चाहिए, जब भी ऐसी वस्तु को मैसेजिंग प्रोटोकॉल के माध्यम से स्थानांतरित किया जाता है। गैर-अनुपालक डेटा प्राप्त होने पर कार्यान्वयनकर्ताओं को स्थानीय रूप से एमबॉक्स डेटा को एन्कोड करने के लिए भी तैयार रहना चाहिए।

संदर्भ